% Copyright (C) 2015 by Daniel Kraft <d@domob.eu>
% OctConf 2015 - Octave's profiler

% Main program file for the flood-fill procedure.

clear ("all");
randn ("seed", 1);

n = 500;
noise = 0.05;

img = getImage (n, noise);
r0 = round (12 / 50 * n);
c0 = round (35 / 50 * n);
chi = floodfill (img, img(r0, c0) - 0.1, img(r0, c0) + 0.1, r0, c0);

figure ();
subplot (1, 2, 1);
imshow (img);
title ("Original Image");
subplot (1, 2, 2);
imshow (!chi);
title ("Connected Segment");
