% Copyright (C) 2015 by Daniel Kraft <d@domob.eu>
% OctConf 2015 - Octave's profiler

% Main program file for performing Gaussian smoothing.

clear ("all");

n = 50;
%n = 1000;
h = 1 / (n - 1);
noise = 0.05;
beta = 1e-3;

img = getImage (n, noise);
uFull = smoothImage (img, true (size (img)), h, beta);
uPart = smoothImage (img, img < 0.5, h, beta);
uPart(isna (uPart)) = 1;

figure ();
subplot (2, 2, 1);
imshow (img);
title ("Original Image");
subplot (2, 2, 3);
imshow (uFull);
title ("Smoothed Image");
subplot (2, 2, 4);
imshow (uPart);
title ("Smoothed on Part");
